Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Exec

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.Exec

public class Exec
extends Task

Executes a given command if the os platform is appropriate.

Author:
  duncan@x180.com, rubys@us.ibm.com

Field Summary
`protected java.io.PrintWriter` | `fos`

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`Exec()`

Method Summary
`void` | `execute()` Called by the project to let the task do it's work.
`protected void` | `logFlush()`
`protected void` | `outputLog(java.lang.String line, int messageLevel)`
`protected int` | `run(java.lang.String command)`
`void` | `setCommand(java.lang.String command)`
`void` | `setDir(java.lang.String d)`
`void` | `setFailonerror(boolean fail)`
`void` | `setOs(java.lang.String os)`
`void` | `setOutput(java.lang.String out)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fos

    protected java.io.PrintWriter fos

Constructor Detail

### Exec

    public Exec()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Description copied from class: `Task`
  Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice.
  Overrides:
    `execute` in class `Task`
  Following copied from class: `org.apache.tools.ant.Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

### run

    protected int run(java.lang.String command)
               throws BuildException

### setDir

    public void setDir(java.lang.String d)

### setOs

    public void setOs(java.lang.String os)

### setCommand

    public void setCommand(java.lang.String command)

### setOutput

    public void setOutput(java.lang.String out)

### setFailonerror

    public void setFailonerror(boolean fail)

### outputLog

    protected void outputLog(java.lang.String line,
                             int messageLevel)

### logFlush

    protected void logFlush()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.